Rivet::AnalysisLoader Class Reference

Internal class which loads and registers analyses from plugin libs. More...

`#include <AnalysisLoader.hh>`

## Static Public Member Functions

static vector< string > | analysisNames ()
| Get all the available analyses' names.
static set< string > | getAllAnalysisNames ()
static Analysis * | getAnalysis (const string &analysisname)
static vector< Analysis * > | getAllAnalyses ()
| Get all the available analyses.

## Friends

class | AnalysisBuilderBase
| Allow the analysis builders to call the private _registerBuilder function.

## Detailed Description

Internal class which loads and registers analyses from plugin libs.

## Member Function Documentation

Analysis * Rivet::AnalysisLoader::getAnalysis | ( | const string & | analysisname | ) |

static

Get an analysis by name. Warning: a name arg which matches no known analysis will return a null pointer. Check your return values before using them!

Referenced by Rivet::AnalysisHandler::addAnalysis().

The documentation for this class was generated from the following files:

- include/Rivet/AnalysisLoader.hh
- src/Core/AnalysisLoader.cc